Compare commits

..

5 commits

Author SHA1 Message Date
Ledmitz
86b376f59c Conflict resolution 1 2023-03-21 22:06:25 -03:00
Ledmitz
968bdbae50 Revert "Added/corrected missing SFX in license"
This reverts commit 67956a8b91.
2023-02-16 14:25:20 -04:00
Ledmitz
67956a8b91 Added/corrected missing SFX in license 2023-02-16 14:15:02 -04:00
Ledmitz
f5f9642c3c Added to _include.xml, since it wasn't referenced 2023-02-15 18:15:56 -04:00
Ledmitz
d3c5b79e5d Added custom Book of Floyd pic and moved from kibook to floydbook.xml 2023-02-15 18:08:25 -04:00
1720 changed files with 11788 additions and 34839 deletions

1
.gitignore vendored
View file

@ -1 +0,0 @@
*.tiled-session

View file

@ -1,7 +1,7 @@
stages:
- test
image: debian:bullseye
image: debian:buster
before_script:
- uname -a
@ -17,26 +17,11 @@ imagemagiccheck:
- ./.tools/imagemagiccheck.sh
allow_failure: true
manaverse:
manaplus:
stage: test
image: ubuntu:20.04
variables:
GIT_SUBMODULE_STRATEGY: recursive
script:
- ./.tools/manaplus.sh master deb_pkg manaverse.log
artifacts:
paths:
- shared
when: always
expire_in: 3 week
old_manaplus:
stage: test
image: ubuntu:20.04
variables:
GIT_SUBMODULE_STRATEGY: recursive
script:
- ./.tools/manaplus.sh master4old deb_pkg_old manaplus.log
- ./.tools/manaplus.sh
image: debian:stable
artifacts:
paths:
- shared
@ -69,6 +54,8 @@ licensecheck:
testxml:
stage: test
image: ubuntu:18.04
tags:
- glados
script:
- ./.tools/testxml.sh
- pwd

5
.gitmodules vendored
View file

@ -1,6 +1,3 @@
[submodule "music"]
path = music
url = https://git.themanaworld.org/tmw/music.git
[submodule "mods"]
path = mods
url = https://git.themanaworld.org/tmw/mods.git
url = https://git.themanaworld.org/legacy/music.git

View file

@ -5,8 +5,7 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core make xsltproc
aptget_install git-core gcc ca-certificates libxml2-utils make xsltproc
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools

36
.tools/deploy.sh Executable file
View file

@ -0,0 +1,36 @@
#!/bin/bash
source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools
cd clientdata
rm -rf public
mkdir public
cd ..
# FIXME
#rm -rf music
#gitclone https://git.themanaworld.org/evolved music.git music
cd tools/update
# FIXME
./createnew.sh
check_error $?
#./create_music.sh
#check_error $?
cp -r upload/* ../../clientdata/public
cd ../../clientdata
gitclone https://git.themanaworld.org/mana pagesindexgen.git pagesindexgen
cd pagesindexgen
./pagesindexgen.py ../public
check_error $?
ls ../public

22
.tools/downloadlib.sh Executable file
View file

@ -0,0 +1,22 @@
#!/bin/bash
export zipname="lib.zip"
export libname="$1_$2"
mkdir libdownload
cd libdownload
rm "${zipname}"
../client-data/.tools/retry.sh wget -O "${zipname}" "https://git.themanaworld.org/mana/spm/builds/artifacts/$1/download?job=${libname}"
unzip "${zipname}"
cp -r "bin/${libname}" ..
cd ..
rm -rf /usr/local/spm/bin/${libname}
mkdir -p /usr/local/spm/bin
cp -r libdownload/bin/${libname} /usr/local/spm/bin/
ls /usr/local/spm/bin/${libname}
if [ "$?" != 0 ]; then
echo "Library $1 $2 unpack failed"
exit 1
fi

View file

@ -5,8 +5,7 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core imagemagick
aptget_install git-core gcc ca-certificates imagemagick
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools

View file

@ -7,30 +7,6 @@ function check_error {
fi
}
retry_with_increasing_wait()
{
local wait_time=1
while true; do
"$@"
local retval=$?
if [[ $retval -eq 0 || $wait_time -gt 16 ]]; then
break
fi
printf "command %s failed (exit code %d), waiting %d seconds until next try.\n"\
"$*" "$retval" "$wait_time"
sleep "$wait_time"
# 1, 2, 4, 8, 16...
(( wait_time = 2 * wait_time ))
done
return "$retval"
}
function gitclone1 {
echo git clone $2 $3
git clone $2 $3
@ -47,7 +23,19 @@ function gitclone {
export name2=${CI_BUILD_REPO##*@}
export name2=https://${name2%/*}/$2
retry_with_increasing_wait gitclone1 "$name1" "$name2" "$3"
gitclone1 "$name1" "$name2" $3
if [ "$?" != 0 ]; then
sleep 1s
gitclone1 "$name1" "$name2" $3
if [ "$?" != 0 ]; then
sleep 3s
gitclone1 "$name1" "$name2" $3
if [ "$?" != 0 ]; then
sleep 5s
gitclone1 "$name1" "$name2" $3
fi
fi
fi
check_error $?
}
@ -69,20 +57,34 @@ function update_repos {
function aptget_update {
update_repos
retry_with_increasing_wait apt-get -y -qq update
apt-get update
if [ "$?" != 0 ]; then
sleep 1s
apt-get update
if [ "$?" != 0 ]; then
sleep 1s
apt-get update
fi
fi
check_error $?
}
function aptget_install {
retry_with_increasing_wait apt-get -y -qq install $*
apt-get -y -qq install $*
if [ "$?" != 0 ]; then
sleep 1s
apt-get -y -qq install $*
if [ "$?" != 0 ]; then
sleep 2s
apt-get -y -qq install $*
fi
fi
check_error $?
}
function clientdata_init {
mkdir shared
if [[ "${PWD##*/}" != clientdata && ! -L ../clientdata ]]; then
ln -s "$PWD" ../clientdata
check_error $?
fi
cd ..
ln -s clientdata client-data
check_error $?
}

View file

@ -5,8 +5,7 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core grep
aptget_install git-core gcc ca-certificates grep
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools

View file

@ -1,62 +1,33 @@
#!/bin/bash
client_branch="$1"
client_job_name="$2"
logfile="$3"
set -e
source ./.tools/init.sh
clientdata_init
# Stop tzdata from asking to pick a location, hanging the pipeline
export DEBIAN_FRONTEND=noninteractive
aptget_update
# Evidently libcurl3-gnutls ships libcurl4-gnutls.so.4
aptget_install \
x11-utils xdg-utils xsel \
ttf-dejavu-core fonts-liberation \
libcurl3-gnutls \
libsdl-gfx1.2 libsdl-image1.2 libsdl-mixer1.2 libsdl-net1.2 libsdl-ttf2.0 \
aptget_install gcc g++ \
make autoconf automake autopoint gettext \
libxml2-dev libcurl4-gnutls-dev libpng-dev \
libsdl-gfx1.2-dev libsdl-image1.2-dev libsdl-mixer1.2-dev libsdl-net1.2-dev libsdl-ttf2.0-dev \
wget unzip
pwd
ls -la
ls
# --retry-on-host-error unknown option?
wget --retry-connrefused --tries=10 --waitretry=5 \
--progress=dot:mega \
-O "$client_job_name.zip" \
"https://git.themanaworld.org/mana/appimg-builder/-/jobs/artifacts/$client_branch/download?job=$client_job_name"
./clientdata/.tools/downloadlib.sh manaplus master || exit 1
# Docker will cache the unpacked files, so make unzip only extract
# if the archive contains newer ones. The same filesystem will
# most likely contain exctracted MV/M+ from both CI jobs.
unzip -o -u "$client_job_name.zip" -d "$client_job_name"
pushd "$client_job_name"
# Print package sums to troubleshoot docker caching
printf "Using debian packages with the following checksums:\n"
cat deb-sha256checksum.txt
dpkg -i "manaplus-data_latest_all.deb"
dpkg -i "manaplus_latest_amd64.deb"
dpkg -i "manaplus-dbg_latest_amd64.deb"
popd
export HOME=`pwd`/clientdata/shared
PATH="$PATH:/usr/games"
cd manaplus_master || exit 1
export SDL_VIDEODRIVER=dummy
manaplus --version || exit 1
manaplus --validate -u -d clientdata || exit 1
./bin/manaplus --validate -u -d ../clientdata || exit 1
log_path="$HOME/.local/share/mana/$logfile"
if [[ ! -f "$log_path" ]]; then
printf "Error: logfile %s not found\n" "$log_path"
ls "${HOME}/.local/share/mana/manaplus.log" || exit 1
grep -A 10 "Assert:" "${HOME}/.local/share/mana/manaplus.log"
if [ "$?" == 0 ]; then
echo "Asserts found"
exit 1
fi
# grep exits 0 (OK) if it found matches, this condition inverts it
if grep -A 10 "Assert:" "$log_path"; then
echo "Error: Asserts found"
exit 1
fi
cd ..

15
.tools/retry.sh Executable file
View file

@ -0,0 +1,15 @@
#!/bin/bash
n=0
while true; do
$*
if [ "$?" == 0 ]; then
exit 0
fi
if [[ $n -ge 10 ]]; then
exit -1
fi
sleep 5s
n=$((n+1))
done

View file

@ -5,8 +5,7 @@ source ./.tools/init.sh
clientdata_init
aptget_update
aptget_install git-core libxml2-utils python python-pil python-pyvorbis
aptget_install git-core zip gcc zlib1g-dev ca-certificates libxml2-utils python python-pyvorbis python-ogg python-pil
rm -rf tools
gitclone https://git.themanaworld.org/evolved tools.git tools
@ -17,7 +16,7 @@ check_error $?
export RES=$(cat errors.txt)
if [[ -n "${RES}" ]]; then
echo "xml check failed" >../../../clientdata/shared/error.log
cat errors.txt >>../../../clientdata/shared/error.log
echo ${RES} >>../../../clientdata/shared/error.log
cat ../../../clientdata/shared/error.log
exit 1
fi

18
CONTRIBUTING.md Normal file
View file

@ -0,0 +1,18 @@
# Contributing
*This repository is* ***feature-frozen****. Anything that adds new content will NOT be merged.*
Only patches for the following will be accepted:
## High priority patches
- Missing sprites for already-released content [(green Error boxes)](https://github.com/themanaworld/tmwa-client-data/blob/master/graphics/sprites/error.png).
- XML errors.
## Low priority patches
- Typos.
- Missing or incorrect item stats.
- Missing or incorrect translation information in XML files.
- Mapping errors (tiles on the wrong layer).
- Quest log modifications.
- Missing frames in sprites.
- Misc visual improvements (avatars, icons, ...).

View file

@ -1,13 +1,13 @@
<?xml version="1.0"?>
<chars>
<!-- hide hair color selection -->
<haircolor min="1" max="13"/>
<haircolor min="1" max="1"/>
<!-- hide hair style selection -->
<hairstyle min="1" max="20"/>
<hairstyle min="1" max="1"/>
<!-- hide look selection -->
<look min="1" max="1"/>
<!-- stat selection. 48 / 2 = 24. You start with 1 in all of 6 -> need 24+6 = 30 -->
<stat min="1" max="10" sum="30"/>
<!-- hide stat selection -->
<stat min="1" max="1" sum="6"/>
<!-- hide race selection -->
<race min="1" max="1"/>
</chars>

View file

@ -54,10 +54,9 @@
<!-- <effect id="20" particle="graphics/particles/magic.barrier.xml"/> -->
<effect id="21" particle="graphics/particles/pentagram-buildup-short.xml"/>
<effect id="22" particle="graphics/particles/pentagram-burst.xml"/>
<effect id="23" audio="env/zap.ogg" particle="graphics/particles/zap.xml"/>
<effect id="24" audio="system/warp.ogg" particle="graphics/particles/magic.teleport.xml"/>
<!-- #kaflosh (rain) hit -->
<effect id="25" audio="magic/kaflosh.ogg" particle="graphics/particles/rain.xml"/>
<effect id="25" particle="graphics/particles/rain.xml" audio="magic/kaflosh.ogg"/>
<effect id="26" particle="graphics/particles/hit.particle.xml"/>
<!-- #frillyar (arrow hail) hit -->
<effect id="27" audio="magic/frillyar.ogg" particle="graphics/particles/arrow-hail.xml"/>
@ -78,8 +77,8 @@
<effect id="42" particle="graphics/particles/magic-dark-explosion.particle.xml"/>
<effect id="43" audio="monsters/pumpkin/pumpkin-explosion.ogg" particle="graphics/particles/monster-pumpkin-explosion.particle.xml"/>
<effect id="44" particle="graphics/particles/object-getitem.particle.xml"/>
<effect id="45" sprite="icons/quest-start.xml"/>
<effect id="46" sprite="icons/quest-continue.xml"/>
<effect id="45" audio="system/quest-start.ogg" sprite="icons/quest-start.xml"/>
<effect id="46" audio="system/quest-continue.ogg" sprite="icons/quest-continue.xml"/>
<effect id="47" audio="system/quest-up.ogg" particle="graphics/particles/questup.particle.xml"/>
<effect id="48" audio="system/quest-done.ogg" particle="graphics/particles/questdone.particle.xml"/>
<effect id="49" particle="graphics/particles/hug.particle.xml"/>
@ -90,18 +89,7 @@
<effect id="54" audio="oblivion.ogg"/>
<effect id="55" particle="graphics/particles/snowball-crit.particle.xml"/>
<effect id="56" audio="system/levelup-long.ogg" particle="graphics/particles/levelup.particle.xml"/>
<effect id="57" particle="graphics/particles/channelling-raise-red.particle.xml"/>
<effect id="58" particle="graphics/particles/channelling-raise-blue.particle.xml"/>
<effect id="59" particle="graphics/particles/channelling-cast-red.particle.xml"/>
<effect id="60" particle="graphics/particles/channelling-cast-blue.particle.xml"/>
<effect id="61" particle="graphics/particles/red-magic-cast.particle.xml"/>
<effect id="69" audio="env/fart.ogg" particle="graphics/particles/python.xml"/>
<effect id="70" audio="monsters/slime/slime-hurt1.ogg" particle="graphics/particles/monster-rotter-hit.xml"/>
<effect id="71" audio="monsters/rotter/crit1.ogg" particle="graphics/particles/monster-rotter-crit.xml"/>
<effect id="72" particle="graphics/particles/rainbow-hit.xml"/>
<effect id="73" audio="system/boom.ogg" particle="graphics/particles/rainbow-crit.xml"/>
<effect id="74" audio="weapons/gun/gun-hit1.ogg"/>
<effect id="75" audio="system/warp.ogg" particle="graphics/particles/magic-blue-teleport.particle.xml"/>
<effect id="69" particle="graphics/particles/python.xml" audio="env/fart.ogg"/>
<!-- #betsanc (protect) end -->
<effect id="111" audio="magic/betsanc-off.ogg" particle="graphics/particles/magic.shield.xml"/>
<!-- <effect id="112" particle="graphics/particles/magic.haste-ends.xml"/>-->
@ -119,11 +107,6 @@
<!-- Add the data needed for the electricity boss battle. -->
<effect id="402" audio="system/ship-bell2.ogg"/>
<effect id="403" audio="monsters/bat/bat-hit1.ogg"/>
<effect id="404" audio="env/tiny_bell.ogg"/>
<effect id="405" audio="weapons/beam/beam-crit.ogg" particle="graphics/particles/beam-crit.xml"/>
<effect id="406" audio="env/rubber_duck.ogg"/>
<effect id="407" audio="env/flame.ogg"/>
<effect id="408" audio="env/zap.ogg"/>
<!-- magic v3 spells -->
<!-- #discharge -->
<effect id="500" audio="magic/discharge.ogg" particle="graphics/particles/fire-burst.xml"/>
@ -233,54 +216,4 @@
<effect id="555" audio="magic/astral.ogg" particle="graphics/particles/magic.darkred.xml"/>
<!-- Temporary -->
<effect id="907" particle="graphics/sprites/npcs/halifax.xml"/>
<!-- Emotion Effects -->
<effect id="10000" particle="graphics/emotes/disgust.xml"/>
<effect id="10001" particle="graphics/emotes/surprise.xml"/>
<effect id="10002" particle="graphics/emotes/happy.xml"/>
<effect id="10003" particle="graphics/emotes/sad.xml"/>
<effect id="10004" particle="graphics/emotes/evil.xml"/>
<effect id="10005" particle="graphics/emotes/wink.xml"/>
<effect id="10006" particle="graphics/emotes/angel.xml"/>
<effect id="10007" particle="graphics/emotes/blush.xml"/>
<effect id="10008" particle="graphics/emotes/tongue.xml"/>
<effect id="10009" particle="graphics/emotes/grin.xml"/>
<effect id="10010" particle="graphics/emotes/upset.xml"/>
<effect id="10011" particle="graphics/emotes/perturbed.xml"/>
<effect id="10012" particle="graphics/emotes/speech.xml"/>
<effect id="10013" particle="graphics/emotes/blah.xml"/>
<!--
Emote IDs 14-99 are reserved to keep compatibility with ManaPlus client.
Leaving similar gap here to keep the effect IDs aligned.
-->
<effect id="10100" particle="graphics/emotes/meow.xml"/>
<effect id="10101" particle="graphics/emotes/laugh.xml"/>
<effect id="10102" particle="graphics/emotes/cheerful.xml"/>
<effect id="10103" particle="graphics/emotes/love.xml"/>
<effect id="10104" particle="graphics/emotes/money.xml"/>
<effect id="10105" particle="graphics/emotes/sleep.xml"/>
<effect id="10106" particle="graphics/emotes/rest.xml"/>
<effect id="10107" particle="graphics/emotes/bothered.xml"/>
<effect id="10108" particle="graphics/emotes/afraid.xml"/>
<effect id="10109" particle="graphics/emotes/dead.xml"/>
<effect id="10110" particle="graphics/emotes/suspicious.xml"/>
<effect id="10111" particle="graphics/emotes/melancholy.xml"/>
<effect id="10112" particle="graphics/emotes/facepalm.xml"/>
<effect id="10113" particle="graphics/emotes/angry.xml"/>
<effect id="10114" particle="graphics/emotes/headache.xml"/>
<effect id="10115" particle="graphics/emotes/bored.xml"/>
<effect id="10116" particle="graphics/emotes/swear.xml"/>
<effect id="10117" particle="graphics/emotes/heart.xml"/>
<effect id="10118" particle="graphics/emotes/empty.xml"/>
<effect id="10119" particle="graphics/emotes/halloween.xml"/>
<effect id="10120" particle="graphics/emotes/vicious.xml"/>
<effect id="10121" particle="graphics/emotes/joyful.xml"/>
<effect id="10122" particle="graphics/emotes/clever.xml"/>
<effect id="10123" particle="graphics/emotes/shy.xml"/>
<effect id="10124" particle="graphics/emotes/alien.xml"/>
<effect id="10125" particle="graphics/emotes/troll.xml"/>
<effect id="10126" particle="graphics/emotes/pain.xml"/>
<effect id="10127" particle="graphics/emotes/tears.xml"/>
<effect id="10128" particle="graphics/emotes/curious.xml"/>
</being-effects>

View file

@ -1,133 +1,45 @@
<?xml version="1.0"?>
<emotes>
<emote id="0" name="Disgust" effectid="10000" image="graphics/emotes/disgust.png" width="30" height="32">
<emote id="0">
<sprite name="Disgust" variant="0">emote.xml</sprite>
</emote>
<emote id="1" name="Surprise" effectid="10001" image="graphics/emotes/surprise.png" width="30" height="32">
<emote id="1">
<sprite name="Surprise" variant="1">emote.xml</sprite>
</emote>
<emote id="2" name="Happy" effectid="10002" image="graphics/emotes/happy.png" width="30" height="32">
<emote id="2">
<sprite name="Happy" variant="2">emote.xml</sprite>
</emote>
<emote id="3" name="Sad" effectid="10003" image="graphics/emotes/sad.png" width="30" height="32">
<emote id="3">
<sprite name="Sad" variant="3">emote.xml</sprite>
</emote>
<emote id="4" name="Evil" effectid="10004" image="graphics/emotes/evil.png" width="30" height="32">
<emote id="4">
<sprite name="Evil" variant="4">emote.xml</sprite>
</emote>
<emote id="5" name="Wink" effectid="10005" image="graphics/emotes/wink.png" width="30" height="32">
<emote id="5">
<sprite name="Wink" variant="5">emote.xml</sprite>
</emote>
<emote id="6" name="Angel" effectid="10006" image="graphics/emotes/angel.png" width="30" height="32">
<emote id="6">
<sprite name="Angel" variant="6">emote.xml</sprite>
</emote>
<emote id="7" name="Blush" effectid="10007" image="graphics/emotes/blush.png" width="30" height="32">
<emote id="7">
<sprite name="Blush" variant="7">emote.xml</sprite>
</emote>
<emote id="8" name="Tongue" effectid="10008" image="graphics/emotes/tongue.png" width="30" height="32">
<emote id="8">
<sprite name="Tongue" variant="8">emote.xml</sprite>
</emote>
<emote id="9" name="Grin" effectid="10009" image="graphics/emotes/grin.png" width="30" height="32">
<emote id="9">
<sprite name="Grin" variant="9">emote.xml</sprite>
</emote>
<emote id="10" name="Upset" effectid="10010" image="graphics/emotes/upset.png" width="30" height="32">
<emote id="10">
<sprite name="Upset" variant="10">emote.xml</sprite>
</emote>
<emote id="11" name="Perturbed" effectid="10011" image="graphics/emotes/perturbed.png" width="30" height="32">
<emote id="11">
<sprite name="Perturbed" variant="11">emote.xml</sprite>
</emote>
<emote id="12" name="Speech" effectid="10012" image="graphics/emotes/speech.png" width="30" height="32">
<emote id="12">
<sprite name="Speech" variant="12">emote.xml</sprite>
</emote>
<emote id="13" name="Blah" effectid="10013" image="graphics/emotes/blah.png" width="30" height="32">
<emote id="13">
<sprite name="Blah" variant="13">emote.xml</sprite>
</emote>
<!-- IDs 14-99 reserved to keep compatibility with ManaPlus client -->
<emote id="100" name="Meow" effectid="10100" image="graphics/emotes/meow.png" width="30" height="32">
<sprite name="Meow" variant="16">emote.xml</sprite>
</emote>
<emote id="101" name="Laugh" effectid="10101" image="graphics/emotes/laugh.png" width="30" height="32">
<sprite name="Laugh" variant="17">emote.xml</sprite>
</emote>
<emote id="102" name="Cheerful" effectid="10102" image="graphics/emotes/cheerful.png" width="30" height="32">
<sprite name="Cheerful" variant="18">emote.xml</sprite>
</emote>
<emote id="103" name="Love" effectid="10103" image="graphics/emotes/love.png" width="30" height="32">
<sprite name="Love" variant="19">emote.xml</sprite>
</emote>
<emote id="104" name="Money" effectid="10104" image="graphics/emotes/money.png" width="30" height="32">
<sprite name="Money" variant="20">emote.xml</sprite>
</emote>
<emote id="105" name="Sleep" effectid="10105" image="graphics/emotes/sleep.png" width="30" height="32">
<sprite name="Sleep" variant="21">emote.xml</sprite>
</emote>
<emote id="106" name="Rest" effectid="10106" image="graphics/emotes/rest.png" width="30" height="32">
<sprite name="Rest" variant="22">emote.xml</sprite>
</emote>
<emote id="107" name="Bothered" effectid="10107" image="graphics/emotes/bothered.png" width="30" height="32">
<sprite name="Bothered" variant="23">emote.xml</sprite>
</emote>
<emote id="108" name="Afraid" effectid="10108" image="graphics/emotes/afraid.png" width="30" height="32">
<sprite name="Afraid" variant="24">emote.xml</sprite>
</emote>
<emote id="109" name="Dead" effectid="10109" image="graphics/emotes/dead.png" width="30" height="32">
<sprite name="Dead" variant="25">emote.xml</sprite>
</emote>
<emote id="110" name="Suspicious" effectid="10110" image="graphics/emotes/suspicious.png" width="30" height="32">
<sprite name="Suspicious" variant="26">emote.xml</sprite>
</emote>
<emote id="111" name="Melancholy" effectid="10111" image="graphics/emotes/melancholy.png" width="30" height="32">
<sprite name="Melancholy" variant="27">emote.xml</sprite>
</emote>
<emote id="112" name="Facepalm" effectid="10112" image="graphics/emotes/facepalm.png" width="30" height="32">
<sprite name="Facepalm" variant="28">emote.xml</sprite>
</emote>
<emote id="113" name="Angry" effectid="10113" image="graphics/emotes/angry.png" width="30" height="32">
<sprite name="Angry" variant="29">emote.xml</sprite>
</emote>
<emote id="114" name="Headache" effectid="10114" image="graphics/emotes/headache.png" width="30" height="32">
<sprite name="Headache" variant="30">emote.xml</sprite>
</emote>
<emote id="115" name="Bored" effectid="10115" image="graphics/emotes/bored.png" width="30" height="32">
<sprite name="Bored" variant="31">emote.xml</sprite>
</emote>
<emote id="116" name="Swear" effectid="10116" image="graphics/emotes/swear.png" width="30" height="32">
<sprite name="Insult" variant="32">emote.xml</sprite>
</emote>
<emote id="117" name="Heart" effectid="10117" image="graphics/emotes/heart.png" width="30" height="32">
<sprite name="Heart" variant="33">emote.xml</sprite>
</emote>
<emote id="118" name="Empty" effectid="10118" image="graphics/emotes/empty.png" width="30" height="32">
<sprite name="Empty" variant="34">emote.xml</sprite>
</emote>
<emote id="119" name="Halloween" effectid="10119" image="graphics/emotes/halloween.png" width="30" height="32">
<sprite name="Halloween" variant="35">emote.xml</sprite>
</emote>
<emote id="120" name="Vicious" effectid="10120" image="graphics/emotes/vicious.png" width="30" height="32">
<sprite name="Vicious" variant="36">emote.xml</sprite>
</emote>
<emote id="121" name="Joyful" effectid="10121" image="graphics/emotes/joyful.png" width="30" height="32">
<sprite name="Joyful" variant="37">emote.xml</sprite>
</emote>
<emote id="122" name="Clever" effectid="10122" image="graphics/emotes/clever.png" width="30" height="32">
<sprite name="Clever" variant="38">emote.xml</sprite>
</emote>
<emote id="123" name="Shy" effectid="10123" image="graphics/emotes/shy.png" width="30" height="32">
<sprite name="Shy" variant="39">emote.xml</sprite>
</emote>
<emote id="124" name="Alien" effectid="10124" image="graphics/emotes/alien.png" width="30" height="32">
<sprite name="Alien" variant="40">emote.xml</sprite>
</emote>
<emote id="125" name="Troll" effectid="10125" image="graphics/emotes/troll.png" width="30" height="32">
<sprite name="Troll" variant="41">emote.xml</sprite>
</emote>
<emote id="126" name="Pain" effectid="10126" image="graphics/emotes/pain.png" width="30" height="32">
<sprite name="Pain" variant="42">emote.xml</sprite>
</emote>
<emote id="127" name="Tears" effectid="10127" image="graphics/emotes/tears.png" width="30" height="32">
<sprite name="Tears" variant="43">emote.xml</sprite>
</emote>
<emote id="128" name="Curious" effectid="10128" image="graphics/emotes/curious.png" width="30" height="32">
<sprite name="Curious" variant="14">emote.xml</sprite>
</emote>
</emotes>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/afraid.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 2 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/alien.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/angel.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/angry.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 689 B

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/blah.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/blush.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/bored.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.7 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/bothered.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.5 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/cheerful.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.7 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/clever.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/curious.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/dead.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/disgust.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.4 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/empty.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/evil.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/facepalm.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/grin.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 2 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/halloween.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/happy.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/headache.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.4 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/heart.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/joyful.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 2 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/laugh.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/love.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/melancholy.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/meow.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.5 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/money.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/pain.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/perturbed.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/rest.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/sad.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/shy.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.8 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/sleep.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 721 B

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/speech.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/surprise.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.7 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/suspicious.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 907 B

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/swear.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.9 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/tears.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.6 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/tongue.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 2 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/troll.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1.5 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/upset.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Binary file not shown.

Before

Width:  |  Height:  |  Size: 1 KiB

View file

@ -1,17 +0,0 @@
<?xml version="1.0"?>
<effect>
<particle position-x="0" position-y="0" position-z="105" lifetime="5">
<emitter>
<property name="position-x" value="0"/>
<property name="position-y" value="0"/>
<property name="position-z" value="-32"/>
<property name="lifetime" value="150"/>
<property name="fade-out" value="80"/>
<property name="gravity" value="-0.005"/>
<animation imageset="graphics/emotes/vicious.png" width="30" height="32">
<frame index="0"/>
</animation>
<property name="follow-parent"/>
</emitter>
</particle>
</effect>

Some files were not shown because too many files have changed in this diff Show more